Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreateelementcasesensitive Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreateelementcasesensitive (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The tagName parameter in the "createElement(tagName)" method is case-sensitive for XML documents. Retrieve the entire DOM document and invoke its "createElement(tagName)" method twice. Once for tagName equal to "address" and once for tagName equal to "ADDRESS" Each call should create a distinct Element node. The newly created Elements are then assigned attributes that are retrieved.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-2141741547

Definition at line 46 of file documentcreateelementcasesensitive.java.

## Constructor & Destructor Documentation

documentcreateelementcasesensitive::documentcreateelementcasesensitive | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file documentcreateelementcasesensitive.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String documentcreateelementcasesensitive::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file documentcreateelementcasesensitive.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreateelementcasesensitive";
    00073    }

void documentcreateelementcasesensitive::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file documentcreateelementcasesensitive.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(documentcreateelementcasesensitive.class,args);
    00076    }

void documentcreateelementcasesensitive::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file documentcreateelementcasesensitive.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       Element newElement1;
    00057       Element newElement2;
    00058       String attribute1;
    00059       String attribute2;
    00060       doc = load("staff");
    00061       newElement1 = doc.createElement("ADDRESS");
    00062       newElement2 = doc.createElement("address");
    00063       newElement1.setAttribute("district","Fort Worth");
    00064       newElement2.setAttribute("county","Dallas");
    00065       attribute1 = newElement1.getAttribute("district");
    00066       attribute2 = newElement2.getAttribute("county");
    00067       assertEquals("attrib1","Fort Worth",attribute1);
    00068       assertEquals("attrib2","Dallas",attribute2);
    00069
    00070    }

The documentation for this class was generated from the following file:

- documentcreateelementcasesensitive.java